variable "aws_access_key" {}
variable "aws_secret_key" {}
variable "aws_account_id" {
  default = "265723766240"
}
variable "aws_region" {
  default = "us-east-1"
  # test tier
}

variable "vpc_tags" {
  type    = map(string)
  default = {
    Name = "test-tier"
    tier = "test"
  }
}

# needs at least two subnets
variable "private_subnets_filter" {
  type    = map(string)
  default = {
    Name = "test-private-*"
  }
}

variable "security_group" {
  type    = map(string)
  default = {
    tier = "test"
    Name = "internal"
  }
}

variable "image_name" {
  default = "265723766240.dkr.ecr.us-east-1.amazonaws.com/enterprise-integrations/iics_secure_agent"
}

variable "container_name" {
  default = "iics-secure-agent-test"
}
variable "container_network_mode" {
  default = "awsvpc"
}
variable "container_app_port" {
  type    = list(string)
  default = [
    7080,
    7443,
    5432]
}

# note that as per our licesning model each
# container would be an extran instance
variable "container_count" {
  default = 1
}

# https://docs.aws.amazon.com/AmazonECS/latest/developerguide/task-cpu-memory-error.html
# see Secure Agent resource requirements for these numbers.
variable "fargate_cpu" {
	# 1 vCPU = 1024 CPU units
	default = "4096"
}
variable "fargate_memory" {
	# in MiB
	default = "8192"
}

# ecs
variable "ecs_cluster_name" {
  default = "iics-agent-cluster"
}

variable "ecs_cluster_tags" {
  type    = map(string)
  default = {
    Name = "iics-agent-cluster"
    tier = "test"
  }
}

variable "ecs_task_name" {
  default = "iics-agent-task"
}

variable "ecs_service_name" {
  default = "iics-agent-service"
}

variable "ecr_repository_name" {
  default = "265723766240.dkr.ecr.us-east-1.amazonaws.com/enterprise-integrations/iics_secure_agent"
}

variable "ecr_repository_tags" {
  type    = map(string)
  default = {
    Name = "iics-agent-repository"
    tier = "test"
  }
}